from __future__ import annotations
from typing import Protocol, runtime_checkable


@runtime_checkable
class IAS_(Protocol):
    def Verify(self) -> None: ...
    def Save(self) -> None: ...
    def Load(self) -> None: ...
    def Reset(self) -> None: ...
    def SaveTo(self, settingsFile: str) -> bool: ...
    def LoadFrom(self, settingsFile: str) -> bool: ...
    def ModifySettings(self, settingsFile: str, typeCode: str, newValue: str) -> bool: ...
